Skip to main content
GET
/
api
/
mcp-logs
/
histogram
Error
A valid request URL is required to generate request examples
{
  "buckets": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "count": 123,
      "success": 123,
      "error": 123
    }
  ],
  "bucket_size_seconds": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Query Parameters

tool_names
string

Comma-separated list of tool names to filter by

server_labels
string

Comma-separated list of server labels to filter by

status
string

Comma-separated list of statuses to filter by (processing, success, error)

virtual_key_ids
string

Comma-separated list of virtual key IDs to filter by

llm_request_ids
string

Comma-separated list of LLM request IDs to filter by

start_time
string<date-time>

Start time filter (RFC3339 format)

end_time
string<date-time>

End time filter (RFC3339 format)

min_latency
number

Minimum latency filter (milliseconds)

max_latency
number

Maximum latency filter (milliseconds)

Search in tool arguments and results

Response

MCP histogram retrieved successfully

Time-bucketed MCP tool call volume histogram

buckets
object[]
bucket_size_seconds
integer<int64>